package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class MusicGroupPaymentCalenderAuditDto {
    @ApiModelProperty(value = "缴费项目编号",required = false)
    private Long musicGroupPaymentCalenderId;

    private Integer musicGroupOrganizationCourseSettingsId;

    @ApiModelProperty(value = "分部编号",required = false)
    private Integer organId;

    @ApiModelProperty(value = "分部名称",required = false)
    private String organName;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "批次号",required = false)
    private String batchNo;

    @ApiModelProperty(value = "创建时间",required = false)
    private Date createTime;

    @ApiModelProperty(value = "缴费类型", required = false)
    private MusicGroupPaymentCalender.PaymentType paymentType;

    @ApiModelProperty(value = "订单类型，学校/个人", required = false)
    private MusicGroupPaymentCalender.PayUserType payUserType;

    @ApiModelProperty(value = "加课总时长",required = false)
    private Integer addCourseTotalTime;

    @ApiModelProperty(value = "原价",required = false)
    private BigDecimal courseOriginalPrice;

    private BigDecimal paymentAmount;

    @ApiModelProperty(value = "申请价格",required = false)
    private BigDecimal courseCurrentPrice;

    @ApiModelProperty(value = "备注",required = false)
    private String memo;

    @ApiModelProperty(value = "审核意见",required = false)
    private String auditMemo;

    @ApiModelProperty(value = "创建人编号",required = false)
    private Integer operator;

    @ApiModelProperty(value = "创建人名称",required = false)
    private String operatorName;

    @ApiModelProperty(value = "审核状态",required = false)
    private MusicGroupPaymentCalender.PaymentCalenderStatusEnum auditStatus;

    @ApiModelProperty(value = "收费标准名称",required = false)
    private String calenderSettingsName;

    @ApiModelProperty(value = "缴费方式",required = false)
    private Integer paymentPattern;

    @ApiModelProperty(value = "缴费有效期开始时间",required = false)
    private String paymentValidStartDate;

    @ApiModelProperty(value = "缴费有效期结束时间",required = false)
    private String paymentValidEndDate;

    @ApiModelProperty(value = "开始缴费日期",required = false)
    private String startPaymentDate;

    @ApiModelProperty(value = "缴费截止日期",required = false)
    private String deadlinePaymentDate;

    @ApiModelProperty(value = "是否赠送网管课",required = false)
    private Boolean isGiveMusicNetwork;

    public Integer getMusicGroupOrganizationCourseSettingsId() {
        return musicGroupOrganizationCourseSettingsId;
    }

    public void setMusicGroupOrganizationCourseSettingsId(Integer musicGroupOrganizationCourseSettingsId) {
        this.musicGroupOrganizationCourseSettingsId = musicGroupOrganizationCourseSettingsId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public Boolean getIsGiveMusicNetwork() {
        return isGiveMusicNetwork;
    }

    public void setIsGiveMusicNetwork(Boolean giveMusicNetwork) {
        isGiveMusicNetwork = giveMusicNetwork;
    }

    public Boolean getGiveMusicNetwork() {
        return isGiveMusicNetwork;
    }

    public void setGiveMusicNetwork(Boolean giveMusicNetwork) {
        isGiveMusicNetwork = giveMusicNetwork;
    }

    public BigDecimal getPaymentAmount() {
        return paymentAmount;
    }

    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    public String getAuditMemo() {
        return auditMemo;
    }

    public void setAuditMemo(String auditMemo) {
        this.auditMemo = auditMemo;
    }

    public String getCalenderSettingsName() {
        return calenderSettingsName;
    }

    public void setCalenderSettingsName(String calenderSettingsName) {
        this.calenderSettingsName = calenderSettingsName;
    }

    public Integer getPaymentPattern() {
        return paymentPattern;
    }

    public void setPaymentPattern(Integer paymentPattern) {
        this.paymentPattern = paymentPattern;
    }

    public String getPaymentValidStartDate() {
        return paymentValidStartDate;
    }

    public void setPaymentValidStartDate(String paymentValidStartDate) {
        this.paymentValidStartDate = paymentValidStartDate;
    }

    public String getPaymentValidEndDate() {
        return paymentValidEndDate;
    }

    public void setPaymentValidEndDate(String paymentValidEndDate) {
        this.paymentValidEndDate = paymentValidEndDate;
    }

    public String getStartPaymentDate() {
        return startPaymentDate;
    }

    public void setStartPaymentDate(String startPaymentDate) {
        this.startPaymentDate = startPaymentDate;
    }

    public String getDeadlinePaymentDate() {
        return deadlinePaymentDate;
    }

    public void setDeadlinePaymentDate(String deadlinePaymentDate) {
        this.deadlinePaymentDate = deadlinePaymentDate;
    }

    public Long getMusicGroupPaymentCalenderId() {
        return musicGroupPaymentCalenderId;
    }

    public void setMusicGroupPaymentCalenderId(Long musicGroupPaymentCalenderId) {
        this.musicGroupPaymentCalenderId = musicGroupPaymentCalenderId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public MusicGroupPaymentCalender.PaymentType getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(MusicGroupPaymentCalender.PaymentType paymentType) {
        this.paymentType = paymentType;
    }

    public MusicGroupPaymentCalender.PayUserType getPayUserType() {
        return payUserType;
    }

    public void setPayUserType(MusicGroupPaymentCalender.PayUserType payUserType) {
        this.payUserType = payUserType;
    }

    public Integer getAddCourseTotalTime() {
        return addCourseTotalTime;
    }

    public void setAddCourseTotalTime(Integer addCourseTotalTime) {
        this.addCourseTotalTime = addCourseTotalTime;
    }

    public BigDecimal getCourseOriginalPrice() {
        return courseOriginalPrice;
    }

    public void setCourseOriginalPrice(BigDecimal courseOriginalPrice) {
        this.courseOriginalPrice = courseOriginalPrice;
    }

    public BigDecimal getCourseCurrentPrice() {
        return courseCurrentPrice;
    }

    public void setCourseCurrentPrice(BigDecimal courseCurrentPrice) {
        this.courseCurrentPrice = courseCurrentPrice;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getOperator() {
        return operator;
    }

    public void setOperator(Integer operator) {
        this.operator = operator;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public MusicGroupPaymentCalender.PaymentCalenderStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(MusicGroupPaymentCalender.PaymentCalenderStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }
}
